Subject: Re: [PATCH 1/2][RFC] vlan: use pskb_copy() when inserting a vlan tag by hand

From: Patrick McHardy <[email-masked]>
Date: Wed, 09 Jul 2008 00:18:33 +0200

David Miller wrote:
> From: Patrick McHardy <[email-masked]>
> Date: Tue, 08 Jul 2008 22:15:55 +0200
>
>   
>> Great, thanks. The patch applies cleanly with or without the VLAN
>> packet socket patches I sent today, so Dave can either just apply
>> it together with your mv643xx_eth patch or I'll include it when
>> sending the next VLAN update.
>>     
>
> Patrick, want me to stuff this one into net-2.6?
>
> BTW, there is a typo in the commit message, you say
> "skb_cow_header()" which doesn't exist, you mean "skb_cow_head()".
> But you got it right in the code :)
>   

I would feel better putting it in net-next-2.6.git. The code
currently doesn't handle shared skbs and it does look unnecessary.
But if we actually get one it will BUG in pskb_expand_head().